# Employments Object

> Source: https://truto.one/docs/api-reference/unified-hris-api/employments/

Schema for the `Employments` resource in **Unified HRIS API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for employments
- **`employee`** _(object)_
  Employee associated with this employment
  - **`id`** _(string)_
    The unique identifier for employees
  - **`name`** _(string)_
    The name of the employee
- **`job_title`** _(string)_
  Job title of the employee
- **`pay_rate`** _(number)_
  This represents the pay rate
- **`pay_period`** _(string)_
  This represents the pay period
- **`pay_frequency`** _(string)_
  This represents the pay frequency
- **`pay_currency`** _(string)_
  This represents the pay currency
- **`pay_group`** _(string)_
  This represents the pay group
- **`flsa_status`** _(string)_
  This represents the flsa status
- **`effective_date`** _(string)_
  Represents the effective date of the employment
- **`end_date`** _(string)_
  Represents the end date of the employment
- **`employment_type`** _(string)_
  This represents the employment type
  Allowed: `full_time`, `part_time`, `contract`, `internship`, `temporary`, `trainee`, `volunteer`, `per_diem`
- **`end_reason`** _(string)_
  Represents why the employment ended
- **`created_at`** _(string)_
  This represents the date when the employments was created
- **`updated_at`** _(string)_
  This represents the date when the employments was updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/hris/employments](/docs/api-reference/unified-hris-api/employments/list) — List Employments
- [GET /unified/hris/employments/{id}](/docs/api-reference/unified-hris-api/employments/get) — Get Employments
